Bug 22148 - Cancelling some payments/writeoffs redirects to unexpected page
Summary: Cancelling some payments/writeoffs redirects to unexpected page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: helene
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-01-16 21:47 UTC by Aleisha Amohia
Modified: 2019-02-01 15:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22148: Changed where user is redirected by cancelling payment (1.47 KB, patch)
2019-01-16 22:41 UTC, helene
Details | Diff | Splinter Review
Bug 22148: Changed where user is redirected by cancelling payment (1.52 KB, patch)
2019-01-17 08:20 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22148: Changed where user is redirected by cancelling payment (1.59 KB, patch)
2019-01-25 21:35 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 22148: Changed where user is redirected by cancelling payment (1.66 KB, patch)
2019-01-26 13:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2019-01-16 21:47:52 UTC
Go to a patron's account, then Accounting tab
Create a manual invoice and save
Go to Make a payment tab
Click 'Pay amount', then cancel
Notice you are redirected to the Transactions tab, rather than back to Make a payment
The behaviour is the same for Pay selected and Writeoff selected.
Comment 1 helene 2019-01-16 22:41:27 UTC
Created attachment 84102 [details] [review]
Bug 22148: Changed where user is redirected by cancelling payment

To test:
1) Create a manual invoice and save
2) Go to Make a payment tab
3) Click 'Pay amount', then cancel
4) Notice you are redirected to the Transactions tab, rather than back to
Make a payment
5) Also try this with Pay selected and write off selected result when
cancelling should be the same
6) Apply patch and try steps 2-6 again
7) Verify that you are now redirected to the 'make a payment tab'
Comment 2 ByWater Sandboxes 2019-01-17 08:20:10 UTC
Created attachment 84132 [details] [review]
Bug 22148: Changed where user is redirected by cancelling payment

To test:
1) Create a manual invoice and save
2) Go to Make a payment tab
3) Click 'Pay amount', then cancel
4) Notice you are redirected to the Transactions tab, rather than back to
Make a payment
5) Also try this with Pay selected and write off selected result when
cancelling should be the same
6) Apply patch and try steps 2-6 again
7) Verify that you are now redirected to the 'make a payment tab'

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 José-Mario Monteiro-Santos 2019-01-25 21:35:21 UTC
Created attachment 84439 [details] [review]
Bug 22148: Changed where user is redirected by cancelling payment

To test:
1) Create a manual invoice and save
2) Go to Make a payment tab
3) Click 'Pay amount', then cancel
4) Notice you are redirected to the Transactions tab, rather than back to
Make a payment
5) Also try this with Pay selected and write off selected result when
cancelling should be the same
6) Apply patch and try steps 2-6 again
7) Verify that you are now redirected to the 'make a payment tab'

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 4 Katrin Fischer 2019-01-26 13:10:09 UTC
Created attachment 84446 [details] [review]
Bug 22148: Changed where user is redirected by cancelling payment

To test:
1) Create a manual invoice and save
2) Go to Make a payment tab
3) Click 'Pay amount', then cancel
4) Notice you are redirected to the Transactions tab, rather than back to
Make a payment
5) Also try this with Pay selected and write off selected result when
cancelling should be the same
6) Apply patch and try steps 2-6 again
7) Verify that you are now redirected to the 'make a payment tab'

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-01-31 13:38:42 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-01 15:38:14 UTC
Enhancement, will not be backported to 18.11.x series.